## Name

DROP INDEX — remove an index

## Synopsis

    DROP INDEX name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP INDEX` drops an existing index from the database system. To execute this command you must be the owner of the index.

## Parameters

`name`

  The name (optionally schema-qualified) of an index to remove.

`CASCADE`

  Automatically drop objects that depend on the index.

`RESTRICT`

  Refuse to drop the index if any objects depend on it. This is the default.

## Examples

This command will remove the index `title_idx`:

    DROP INDEX title_idx;

## Compatibility

`DROP INDEX` is a PostgreSQL language extension. There are no provisions for indexes in the SQL standard.

## See Also

CREATE INDEX